package com.qxgmat.dto.response;

import io.swagger.annotations.ApiModelProperty;

/**
 * Created by GaoJie on 2017/11/1.
 */
public class UploadInfoDto {

    @ApiModelProperty(value = "OSSAccessKeyId", notes = "accessKeyId", required = true)
    private String OSSAccessKeyId;

    @ApiModelProperty(value = "授权策略", notes = "授权策略", required = true)
    private String policy;

    @ApiModelProperty(value = "签名", notes="策略签名", required = true)
    private String signature;

    @ApiModelProperty(value = "请求地址", required = true)
    private String host;

    @ApiModelProperty(value = "成功返回状态", required = true)
    private String success_action_status;

    @ApiModelProperty(value = "上传文件名，可选拼接具体的文件扩展名", required = true)
    private String key;

    public String getOSSAccessKeyId() {
        return OSSAccessKeyId;
    }

    public void setOSSAccessKeyId(String OSSAccessKeyId) {
        this.OSSAccessKeyId = OSSAccessKeyId;
    }

    public String getPolicy() {
        return policy;
    }

    public void setPolicy(String policy) {
        this.policy = policy;
    }

    public String getSignature() {
        return signature;
    }

    public void setSignature(String signature) {
        this.signature = signature;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getSuccess_action_status() {
        return success_action_status;
    }

    public void setSuccess_action_status(String success_action_status) {
        this.success_action_status = success_action_status;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }
}